RESTinio

Classes | Namespaces | Typedefs
ws_connection_base.hpp File Reference
`#include <memory>`
`#include <restinio/tcp_connection_ctx_base.hpp>`
`#include <restinio/common_types.hpp>`
`#include <restinio/buffers.hpp>`

Go to the source code of this file.

## Classes
class | restinio::websocket::basic::impl::ws_connection_base_t
| WebSocket connection base. More...

## Namespaces
namespace | restinio
namespace | restinio::websocket
namespace | restinio::websocket::basic
namespace | restinio::websocket::basic::impl

## Typedefs
using | restinio::websocket::basic::ws_handle_t = std::shared_ptr< ws_t >
| Alias for ws_t handle. More...
using | restinio::websocket::basic::impl::ws_connection_handle_t = std::shared_ptr< ws_connection_base_t >
| Alias for WebSocket connection handle. More...